CREATE TABLE hr_dor_mass_request_params (
    MASS_REQUEST_ID          NUMBER(18, 0) ,
    NAME                     VARCHAR2(4000),
    DATATYPE                 VARCHAR2(1000),
    VALUE                    VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MASS_REQUEST_ID          NUMBER(18, 0) ,
    NAME                     VARCHAR2(4000),
    DATATYPE                 VARCHAR2(1000),
    VALUE                    VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_hr_dor_mass_request_params PRIMARY KEY (MASS_REQUEST_ID, NAME, MASS_REQUEST_ID, NAME)
);
